执行任务脚本("种植")
打印信息("执行种植结束")
-- local Ret = 0
-- local 疯狂抢地 = 1
-- local Alarm = 取自定义信息()
-- local Early = 取自定义信息()
-- local Late = 取自定义信息()
-- local TurnLate = 取自定义信息()
-- local TurnLateSpirit = 取自定义信息()
-- local StartMapName = 取自定义信息()
-- local StartName = 取自定义信息()

-- function FindNullMore() -- 寻找空地
	-- local ScarecrowX,  ScarecrowY, ScarecrowId =  NullMoreFind()
	-- if ScarecrowId ~= -1 then 
		-- MoveTox(ScarecrowX,ScarecrowY)
		-- StartPlant(ScarecrowX,  ScarecrowY, ScarecrowId)
	-- else
		-- FindNullMore()
		-- Ret = Ret + 1
		-- if Ret = 10 then return end --寻找空地10次 不存在空地 结束
	-- end
-- end


-- function StartPlant(ScarecrowX,  ScarecrowY, ScarecrowId)
	-- local Type = 0
	-- local RoseX, RoseY = GetRoseInfo(0)
	-- local CropNumber = GetCropNumber(ScarecrowX,  ScarecrowY, RoseX, RoseY)
	-- if CropNumber == 0 then
		-- while GetPlantEnd() ~= 1 do
			-- local RoseSpirit = GetRoseInfo(1) -- 获取人物精力
			-- if Early == 1 then
				-- ID_对话npc(ScarecrowId)
				-- if TurnLate == 1 and RoseSpirit <= TurnLateSpirit then
					-- CropType(2,ScarecrowId)
				-- else
					-- CropType(1,ScarecrowId)
				-- end
			-- else
				-- CropType(2,ScarecrowId)
			-- end

		-- end
		-- CollectAll()
	-- else
		-- 召唤坐骑(1)
		-- FindNullMore()
	-- end
-- end

-- function CropType(Type,ScarecrowId)
	-- if Type == 1 then
		-- if StartMapName = "束河古镇" then
			-- if StringFind(StartName,"麻") = 1 or StringFind(StartName,"棉") = 1 then
				-- 对话选项("#{ZZ_081104_2}")--种植早产经济作物
				-- CollectAll()
				-- 对话选项("早产"..StartName)
			-- else
				-- 对话选项("#{ZZ_081104_1}")--种植早产粮食作物
				-- 对话选项("早产"..StartName)
			-- end	
		-- else
			-- 对话选项("种植早产植物")
			-- CollectAll()
			-- 对话选项("早产"..StartName)
		-- end
	-- else 
		-- if StartMapName = "束河古镇" then
			-- if StringFind(StartName,"麻") = 1 or StringFind(StartName,"棉") = 1 then
				-- 对话选项("#{ZZ_081104_4}")--种植晚产经济作
				-- CollectAll()
				-- 对话选项("晚产"..StartName)
			-- else
				-- 对话选项("#{ZZ_081104_3}")--种植晚产粮食作物
				-- CollectAll()
				-- 对话选项("晚产"..StartName)
			-- end
					
		-- else
			-- 对话选项("种植晚产植物")
			-- CollectAll()
			-- 对话选项("晚产"..StartName)
		-- end
	-- end
	-- if 取对话栏内容(1) = "你已经开始种植" then
		-- 打印信息("种植成功")
		-- if Type = 1 then
			-- 延迟(300000)
		-- else
			-- 延迟(4200000)
		-- end
		-- HarvestStart(ScarecrowId)
	-- else
		-- 打印信息("种植：精力不足，结束脚本")
		-- break
	-- end
-- end


-- function HarvestStart(ScarecrowId)
	-- local StartX, StartY = GetRoseInfo(0)
	-- if 取地图名() ~= StartMapName then
		-- 召唤坐骑(1)
		-- 跨图寻路(StartX, StartY, StartMapName)
	-- else
		-- if 取距离(StartX, StartY) >= 20 then 召唤坐骑(1) 地图寻路(StartX, StartY) end
	-- end
	-- 召唤坐骑(0)
	-- local RoseSpirit = GetRoseInfo(1)
	
	-- local MatureCrop,CropName,CropId = GetMatureCrop(StartX, StartY)
	-- for i = 1 , MatureCrop do
		-- if i ~= MatureCrop then
			-- ID_采集物品(CropId)
			-- 延迟(6500)
			-- CollectAll()
		-- else
			-- ID_采集物品(CropId)
			-- 延迟(7000)
			-- local RoseSpirit = GetRoseInfo(1) -- 获取人物精力
			-- if TurnLate == 1 and RoseSpirit <= TurnLateSpirit then
				-- CropType(2)
			-- else
				-- CropType(1)
			-- end
		-- end
	-- end
-- end
